<?php
global $itemId;
$itemId = (int)$_GET['pedido'];
if(empty($itemId)){
die('Pedido invalido!');
}
include "class.itau.php";
include "dados.php";

$db = new mysqli(DB_HOSTNAME, DB_USERNAME, DB_PASSWORD, DB_DATABASE);
if ($db->connect_error) {
	trigger_error('Error: nao foi possivel conectar com o banco de dados (' . $this->mysqlic->connect_errno . ') ' . $this->mysqlic->connect_error);
}

$prefixo = DB_PREFIX;

//pega dados do pedido
$SQL3 = "SELECT * FROM `".$prefixo."order` WHERE `order_id` ='".$itemId."'";

$Executa3 = $db->query($SQL3);
if (!$Executa3){
  print($Executa3->error);
}

$resultado3 = $Executa3->fetch_array();
$zone_id = $resultado3['payment_zone_id'];
$SQL4 = "SELECT * FROM `".$prefixo."zone` WHERE `zone_id` ='".$zone_id."'";

$Executa4 = $db->query($SQL4);
if(!$Executa4){
	print($Executa4->error);
}

$resultado4 = $Executa4->fetch_array();

$cripto = new Itaucripto();

//Variaveis do modulo
$codEmp = strtoupper($config->get('itaushopline_afiliacao'));
$prazo = $config->get('itaushopline_dias');
$pedido = $itemId;
$observacao = 'Pedido #'.$itemId.' em '.$config->get('config_ssl').'';
$chave = strtoupper($config->get('itaushopline_chave'));
$nomeSacado = utf8_encode(html_entity_decode(trim($resultado3['payment_firstname'].' '.$resultado3['payment_lastname']), ENT_QUOTES, 'UTF-8'));
$codigoInscricao = (isset($resultado3['cpf']) && $resultado3['cpf']<> '') ? "01" : "02";
$numeroInscricao = (isset($resultado3['cpf']) && $resultado3['cpf']<> '') ? preg_replace("/[^0-9]/", "", $resultado3['cpf']) :  preg_replace("/[^0-9]/", "", $resultado3['cnpj']); //preg_replace("/[^0-9]/", "", $config->get('itaushopline_cnpj'));
$enderecoSacado = utf8_encode(html_entity_decode(trim($resultado3['payment_address_1']), ENT_QUOTES, 'UTF-8'));
$bairroSacado = utf8_encode(html_entity_decode(trim($resultado3['payment_address_2']), ENT_QUOTES, 'UTF-8'));
if(empty($bairroSacado)){
$bairroSacado = utf8_encode(html_entity_decode(trim($resultado3['payment_address_1']), ENT_QUOTES, 'UTF-8'));
}
$cepSacado = $resultado3['payment_postcode'];
$cidadeSacado = utf8_encode(html_entity_decode(trim($resultado3['payment_city']), ENT_QUOTES, 'UTF-8'));

$estadoSacado = $resultado4['code'];
$dataVencimento = date("dmY", (strtotime($resultado3['date_added']) + ($prazo * 86400)));
$totals = $resultado3['total'];
$valor =number_format($totals, 2, ',', '');
$urlRetorna = '/lib/itaushopline/retorno.php';
$dados = $cripto->geraDados($codEmp,$pedido,$valor,$observacao,$chave,$nomeSacado,$codigoInscricao,$numeroInscricao,$enderecoSacado,$bairroSacado,$cepSacado,$cidadeSacado,$estadoSacado,$dataVencimento,$urlRetorna,$obsAd1,$obsAd2,$obsAd3);
?>
<html>
<head>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="br" lang="br">
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.5/css/bootstrap.min.css">
<head>
<title>Pagamento Itau</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
</head>
<body>
<br><br><center><h2>Aguarde o Redirecionamento ao Ita&uacute;...</h2>
<img src="images/pg.png">
<br>
<form name='itau' action='https://shopline.itau.com.br/shopline/shopline.aspx' method='POST'>
<INPUT type='hidden' name='DC' value='<?php echo $dados;?>'>
</form>
<script type="text/javascript">
window.onload = function(){ document.forms[0].submit(); }
</script>
</body>
</html>
